当前位置:首页>Koala教程>Koala常见问题

Koala常见问题

作者:微学网发布时间:2019-09-03 23:14:49

编译时出现乱码信息

请检查是否勾选了设置中的“使用系统组件”下面的选项,默认不用勾选此项。

无法在Linux中运行Koala

32位:$ cd /lib/i386-linux-gnu/或$cd /usr/lib/

64位:$ cd /lib/x86_64-linux-gnu/或$cd /usr/lib64/

$ sudo ln -s libudev.so.1 libudev.so.0

如果找不到目录中的libudev文件linux-gnu,请libudev0在下面安装:

libudev0为32位
libudev0为64位

现在,再次尝试运行考拉。

Ubutnu13.04下安装后无法启动解决方法

Ubutnu 13.04下安装后无法启动解决方法

1.下载安装包,安装

$ sudo dpkg -i koala_**.deb

2.可能没有安装ruby,还要去安装一下ruby

$ sudo apt-get install ruby

3.可能这时,点koala不能启动,解决方法

32位系统:$ cd /lib/i386-linux-gnu

64位系统:$ cd /lib/x86_64-linux-gnu

$ sudo ln -s libudev.so.1 libudev.so.0

如果该目录下没有libudev文件,可以先安装好libudev,在执行ln命令:

  • libudev0 for 32bit

  • libudev0 for 64bit

到此就可以了正常启动koala了.

Fedora 20 下面安装后无法启动解决方法

Fedora 20 下安装后无法启动解决方法

1.下载tar(.gz)格式安装包,如 koala_2.0.1_amd64.tar.gz

2.转移到当前目录,解压tar包,如同指令 tar -xf koala_2.0.1_amd64.tar.gz,解压之后得到koala文件夹

3.转移文件夹到常用目录:如 #mv koala /opt/koala.

4.运行koala:如 $cd /opt/koala , ./koala

5.可能这时,点koala不能启动,解决方法

32位系统:$ cd /usr/lib (64位系统:$ cd /usr/lib64), 找到当前目录下面 libudev.so.* 的文件(libudev.so.为这个lib的名字,需要针对下面的进行转换。) 执行指令进行软连接,如:#ln -s libudev.so. libudev.so.0 (记得转换当前文件名。)

6.重试第四步,到此就可以了正常启动koala了.

Koala1.4编译bootstrap报错

Koala1.4版本中Less组件也相应地升级到了最新的1.4.1版本,这个版本对一些老语法不再兼容了,bootstrap官方正在做调整,具体的请查看这里Prepare Bootstrap for LESS 1.4.0。

解决方案

1、安装nodejs,下载地址:http://nodejs.org/download/

2、打开命令行,安装less 1.3.3版本:npm install less@1.3.3 -g
安装完成后执行lessc -v命令,如果显示的信息是”lessc 1.3.3 (LESS Compiler)”就代表已安装成功了。

3、Koala设置 > “一般设置” > 在”使用系统组件”中勾选less。

4、重新试试编译bootstrap文件。

env:node:没有这样的文件或目录

在mac OSX上使用路径“/ usr / local / bin / lessc”将抛出此错误。

快速修复:

.sudo nano /usr/local/bin/koala-lessc`

2.写:

#!/bin/sh
/usr/local/bin/node /usr/local/bin/lessc $@

3.sudo chmod +x /usr/local/bin/koala-lessc

4.使用/usr/local/bin/koala-lessc在考拉编译器的路径

Running without the SUID sandbox in Linux System

删除~/.koala文件夹和~/.config/Koala文件夹。
然后重启考拉。